import { Table } from '../../../types';
import { CoordinateEncoding, GeoTable, Track } from './GeoTable';
import { LatLonColumns } from '../../../types/geo';
interface GeoRow {
    [key: string]: number | string;
}
export declare const isPivotSensible: (table: any) => any;
export declare class PivotedGeoTable implements GeoTable {
    coordinateEncoding: CoordinateEncoding;
    table: Table;
    data: GeoRow[];
    truncated: boolean;
    maxRows: number;
    latLonColumns: LatLonColumns;
    constructor(table: Table, maxRows: any, latLonColumns: any);
    mapTracks<T, U>(_mapper: (track: Track, options: U, index: number) => T, _options: U): T[];
    getRowCount(): number;
    getValue(index: number, field: string): number;
    getS2CellID(index: number): string;
    isTruncated(): boolean;
    getLatLon: (index: number) => import("./GeoTable").Coordinates;
    getTimeString(index: number): string;
}
export {};
